MenusSearch:
  post:
    tags:
      - cms_menus
    operationId: searchMenus
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\MenusController@search'
    x-lg-route-name: 'searchMenus'
    x-lg-skip-request-generation: true
    summary: Поиск объектов типа Menu
    description: Поиск объектов типа Menu
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/menus.yaml#/SearchMenusRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/menus.yaml#/SearchMenusResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
MenusSearchOne:
  post:
    tags:
      - cms_menus
    operationId: searchOneMenus
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\MenusController@searchOne'
    x-lg-route-name: 'searchOneMenus'
    x-lg-skip-request-generation: true
    summary: Поиск объекта типа Menu
    description: Поиск объекта типа Menu
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/menus.yaml#/SearchOneMenusRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/menus.yaml#/SearchOneMenusResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
MenuCurrentTrees:
  put:
    tags:
      - cms_menus
    operationId: updateMenuTrees
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\MenuTreesController@update'
    x-lg-route-name: 'updateMenuTrees'
    x-lg-skip-request-generation: true
    summary: Обновление дерева Menu
    description: Обновление дерева Menu
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/menu_trees.yaml#/UpdateMenuTreesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/menu_trees.yaml#/UpdateMenuTreesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductGroupsSearch:
  post:
    tags:
      - cms_product_groups
    operationId: searchProductGroups
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController@search'
    x-lg-route-name: 'searchProductGroups'
    x-lg-skip-request-generation: true
    summary: Поиск объектов типа ProductGroup
    description: Поиск объектов типа ProductGroup
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_groups.yaml#/SearchProductGroupsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_groups.yaml#/SearchProductGroupsResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductGroupsSearchOne:
  post:
    tags:
      - cms_product_groups
    operationId: searchOneProductGroups
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController@searchOne'
    x-lg-route-name: 'searchOneProductGroups'
    x-lg-skip-request-generation: true
    summary: Поиск объекта типа ProductGroup
    description: Поиск объекта типа ProductGroup
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_groups.yaml#/SearchOneProductGroupsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_groups.yaml#/SearchOneProductGroupsResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductGroups:
  post:
    tags:
      - cms_product_groups
    operationId: createProductGroups
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController@create'
    x-lg-route-name: 'createProductGroups'
    x-lg-skip-request-generation: true
    summary: Создание объекта типа ProductGroup
    description: Создание объекта типа ProductGroup
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_groups.yaml#/CreateProductGroupsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_groups.yaml#/CreateProductGroupsResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductGroupsCurrent:
  put:
    tags:
      - cms_product_groups
    operationId: replaceProductGroups
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController@replace'
    x-lg-route-name: 'replaceProductGroups'
    x-lg-skip-request-generation: true
    summary: Замена объекта типа ProductGroup
    description: Замена объекта типа ProductGroup
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_groups.yaml#/ReplaceProductGroupsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_groups.yaml#/ReplaceProductGroupsResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - cms_product_groups
    operationId: deleteProductGroups
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController@delete'
    x-lg-route-name: 'deleteProductGroups'
    x-lg-skip-request-generation: true
    summary: Удаление объекта типа ProductGroup
    description: Удаление объекта типа ProductGroup
    parameters:
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductGroupsCurrentFileUpload:
  post:
    tags:
      - cms_product_groups
    operationId: uploadProductGroupFile
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupFilesController@upload'
    x-lg-route-name: 'uploadProductGroupFile'
    x-lg-skip-request-generation: true
    summary: Загрузка файла для объекта типа ProductGroup
    description: Загрузка файла для объекта типа ProductGroup
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        multipart/form-data:
          schema:
            $ref: '../common_schemas.yaml#/MultipartFileUploadRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_group_files.yaml#/UploadProductGroupFilesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductGroupsCurrentFileDelete:
  post:
    tags:
      - cms_product_groups
    operationId: deleteProductGroupFile
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupFilesController@delete'
    x-lg-route-name: 'deleteProductGroupFile'
    x-lg-skip-request-generation: true
    summary: Удаление файла для объекта типа ProductGroup
    description: Удаление файла для объекта типа ProductGroup
    parameters:
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductGroupTypesSearch:
  post:
    tags:
      - cms_product_groups
    operationId: searchProductGroupTypes
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupTypesController@search'
    x-lg-route-name: 'searchProductGroupTypes'
    x-lg-skip-request-generation: true
    summary: Поиск объектов типа ProductGroupType
    description: Поиск объектов типа ProductGroupType
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_group_types.yaml#/SearchProductGroupTypesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_group_types.yaml#/SearchProductGroupTypesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductGroupFiltersSearch:
  post:
    tags:
      - cms_product_groups
    operationId: searchProductGroupFilters
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupFiltersController@search'
    x-lg-route-name: 'searchProductGroupFilters'
    x-lg-skip-request-generation: true
    summary: Поиск доступных фильтров (атрибуты товаров)
    description: Поиск доступных фильтров (атрибуты товаров)
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_group_filters.yaml#/SearchProductGroupFiltersRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_group_filters.yaml#/SearchProductGroupFiltersResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BannersSearch:
  post:
    tags:
      - cms_banners
    operationId: searchBanners
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\BannersController@search'
    x-lg-route-name: 'searchBanners'
    x-lg-skip-request-generation: true
    summary: Поиск объектов типа Banner
    description: Поиск объектов типа Banner
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/banners.yaml#/SearchBannersRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/banners.yaml#/SearchBannersResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BannersSearchOne:
  post:
    tags:
      - cms_banners
    operationId: searchOneBanners
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\BannersController@searchOne'
    x-lg-route-name: 'searchOneBanners'
    x-lg-skip-request-generation: true
    summary: Поиск объекта типа Banner
    description: Поиск объекта типа Banner
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/banners.yaml#/SearchOneBannersRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/banners.yaml#/SearchOneBannersResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
Banners:
  post:
    tags:
      - cms_banners
    operationId: createBanners
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\BannersController@create'
    x-lg-route-name: 'createBanners'
    x-lg-skip-request-generation: true
    summary: Создание объекта типа Banner
    description: Создание объекта типа Banner
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/banners.yaml#/CreateBannersRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/banners.yaml#/CreateBannersResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BannersCurrent:
  put:
    tags:
      - cms_banners
    operationId: replaceBanners
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\BannersController@replace'
    x-lg-route-name: 'replaceBanners'
    x-lg-skip-request-generation: true
    summary: Замена объекта типа Banner
    description: Замена объекта типа Banner
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/banners.yaml#/ReplaceBannersRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/banners.yaml#/ReplaceBannersResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - cms_banners
    operationId: deleteBanners
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\BannersController@delete'
    x-lg-route-name: 'deleteBanners'
    x-lg-skip-request-generation: true
    summary: Удаление объекта типа Banner
    description: Удаление объекта типа Banner
    parameters:
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BannersCurrentFileUpload:
  post:
    tags:
      - cms_banners
    operationId: uploadBannerFile
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\BannerFilesController@upload'
    x-lg-route-name: 'uploadBannerFile'
    x-lg-skip-request-generation: true
    summary: Загрузка файла для объекта типа Banner
    description: Загрузка файла для объекта типа Banner
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        multipart/form-data:
          schema:
            allOf:
              - $ref: '../common_schemas.yaml#/MultipartFileUploadRequest'
              - $ref: './schemas/banner_files.yaml#/UploadBannerFileRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/banner_files.yaml#/UploadBannerFileResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BannersCurrentFileDelete:
  post:
    tags:
      - cms_banners
    operationId: deleteBannerFile
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\BannerFilesController@delete'
    x-lg-route-name: 'deleteBannerFile'
    x-lg-skip-request-generation: true
    summary: Удаление файла для объекта типа Banner
    description: Удаление файла для объекта типа Banner
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/banner_files.yaml#/DeleteBannerFileRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BannerTypesSearch:
  post:
    tags:
      - cms_banners
    operationId: searchBannerTypes
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\BannerTypesController@search'
    x-lg-route-name: 'searchBannerTypes'
    x-lg-skip-request-generation: true
    summary: Поиск объектов типа BannerType
    description: Поиск объектов типа BannerType
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/banner_types.yaml#/SearchBannerTypesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/banner_types.yaml#/SearchBannerTypesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

ProductCategories:
  post:
    tags:
      - cms_product_categories
    operationId: createProductCategory
    summary: Создание объекта типа ProductCategory
    description: Создание объекта типа ProductCategory
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController@create'
    x-lg-route-name: 'createProductCategory'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_categories/product_categories.yaml#/ProductCategoryForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_categories/product_categories.yaml#/CreateProductCategoriesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductCategoriesCurrent:
  get:
    tags:
      - cms_product_categories
    operationId: getProductCategory
    summary: Запрос ProductCategory по ID
    description: Запрос ProductCategory по ID
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController@get'
    x-lg-route-name: 'getProductCategory'
    x-lg-skip-request-generation: true
    parameters:
      - $ref: '#/QueryInclude'
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успех
        content:
          application/json:
            schema:
              $ref: './schemas/product_categories/product_categories.yaml#/ProductCategoryResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  put:
    tags:
      - cms_product_categories
    operationId: replaceProductCategory
    summary: Замена объекта типа ProductCategory
    description: Замена объекта типа ProductCategory
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController@replace'
    x-lg-route-name: 'replaceProductCategory'
    x-lg-skip-request-generation: true
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_categories/product_categories.yaml#/ProductCategoryForReplace'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_categories/product_categories.yaml#/CreateProductCategoriesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - cms_product_categories
    operationId: deleteProductCategory
    summary: Запрос на удаление ProductCategory
    description: Запрос на удаление ProductCategory
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController@delete'
    x-lg-route-name: 'deleteProductCategory'
    x-lg-skip-request-generation: true
    parameters:
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

ProductCategoriesMassDelete:
  post:
    tags:
      - cms_product_categories
    operationId: massDeleteProductCategory
    summary: Массовое удаление объектов типа ProductCategory
    description: Массовое удаление объектов типа ProductCategory
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController@massDelete'
    x-lg-route-name: 'massDeleteProductCategory'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_categories/product_categories.yaml#/MassDeleteProductCategoriesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

ProductCategoriesSearch:
  post:
    tags:
      - cms_product_categories
    operationId: searchProductCategories
    summary: Поиск объектов типа ProductCategory
    description: Поиск объектов типа ProductCategory
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController@search'
    x-lg-route-name: 'searchProductCategories'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_categories/product_categories.yaml#/SearchProductCategoriesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_categories/product_categories.yaml#/SearchProductCategoriesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

ProductCategoriesTree:
  post:
    tags:
      - cms_product_categories
    operationId: getProductCategoriesTree
    summary: Формирование дерева категорий
    description: Формирование дерева категорий
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController@tree'
    x-lg-route-name: 'getProductCategoriesTree'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_categories/product_categories_tree.yaml#/ProductCategoriesTreeRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_categories/product_categories_tree.yaml#/ProductCategoriesTreeResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

ProductPimCategories:
  post:
    tags:
      - cms_product_pim_categories
    operationId: createProductPimCategory
    summary: Создание объекта типа ProductPimCategory
    description: Создание объекта типа ProductPimCategory
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController@create'
    x-lg-route-name: 'createProductPimCategory'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_categories/product_pim_category.yaml#/ProductPimCategoryForCreate'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_categories/product_pim_category.yaml#/CreateProductPimCategoriesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductPimCategoriesCurrent:
  get:
    tags:
      - cms_product_pim_categories
    operationId: getProductPimCategory
    summary: Запрос ProductPimCategory по ID
    description: Запрос ProductPimCategory по ID
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController@get'
    x-lg-route-name: 'getProductPimCategory'
    x-lg-skip-request-generation: true
    parameters:
      - $ref: '#/QueryInclude'
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успех
        content:
          application/json:
            schema:
              $ref: './schemas/product_categories/product_pim_category.yaml#/ProductPimCategoryResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  put:
    tags:
      - cms_product_pim_categories
    operationId: replaceProductPimCategory
    summary: Замена объекта типа ProductPimCategory
    description: Замена объекта типа ProductPimCategory
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController@replace'
    x-lg-route-name: 'replaceProductPimCategory'
    x-lg-skip-request-generation: true
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_categories/product_pim_category.yaml#/ProductPimCategoryForReplace'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_categories/product_pim_category.yaml#/ReplaceProductPimCategoriesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - cms_product_pim_categories
    operationId: deleteProductPimCategory
    summary: Запрос на удаление ProductPimCategory
    description: Запрос на удаление ProductPimCategory
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController@delete'
    x-lg-route-name: 'deleteProductPimCategory'
    x-lg-skip-request-generation: true
    parameters:
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductPimCategoriesSearch:
  post:
    tags:
      - cms_product_pim_categories
    operationId: searchProductPimCategory
    summary: Поиск объектов типа ProductPimCategory
    description: Поиск объектов типа ProductPimCategory
    x-lg-handler: '\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController@search'
    x-lg-route-name: 'searchProductPimCategory'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_categories/product_pim_category.yaml#/SearchProductPimCategoriesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/product_categories/product_pim_category.yaml#/SearchProductPimCategoriesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

PathId:
  in: path
  name: id
  required: true
  schema:
    type: integer
    minimum: 1
  description: Числовой id
  example: 1

QueryInclude:
  in: query
  name: include
  required: false
  description: Связанные сущности для подгрузки, через запятую
  schema:
    type: string
